TKN-HUB(1)

NAME

tkn-hub - Interact with tekton hub

SYNOPSIS

tkn hub

DESCRIPTION

Interact with tekton hub

OPTIONS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

-h, --help[=false]
    help for hub

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

SEE ALSO

tkn(1), tkn-hub-check-upgrade(1), tkn-hub-downgrade(1), tkn-hub-get(1), tkn-hub-info(1), tkn-hub-install(1), tkn-hub-reinstall(1), tkn-hub-search(1), tkn-hub-upgrade(1)